Skip to main content
GET
FLEX option contracts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. Defaults to the latest date with FLEX option data. A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

ticker_symbol
string

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a -.

Example:

"AAPL,INTC"

min_dte
integer

The minimum days to expiry. Min: 0.

Required range: x >= 0
Example:

1

max_dte
integer

The maximum days to expiry. Min: 0.

Required range: x >= 0
Example:

3

option_type
enum<string>

The option type to filter by if specified.

Available options:
call,
Call,
put,
Put
min_strike
number

The minimum strike. Min: 0.

Required range: x >= 0
Example:

120.5

max_strike
number

The maximum strike. Min: 0.

Required range: x >= 0
Example:

1200

min_open_interest
integer

The minimum open interest. Min: 0.

Required range: x >= 0
Example:

10000

max_open_interest
integer

The maximum open interest. Min: 0.

Required range: x >= 0
Example:

35000

settlements[]
enum<string>[]

Return only contracts with one of these settlement types.

A FLEX option settlement type.

Available options:
am,
pm,
asian,
cliquet
Example:
exercise_styles[]
enum<string>[]

Return only contracts with one of these exercise styles.

A FLEX option exercise style.

Available options:
american,
european
Example:
deliveries[]
enum<string>[]

Return only contracts with one of these delivery types.

A FLEX option delivery type.

Available options:
physical,
cash
Example:
oi_changes_only
boolean
default:false

Return only contracts whose open interest differs from the previous trading day.

Example:

true

order
enum<string>
default:open_interest

The field to sort the FLEX option contracts by. premium is mark * open_interest, oi_change is the open interest change since the previous trading day and oi_change_perc is that change divided by the previous open interest. Sorting by oi_change_perc excludes contracts that had no open interest on the previous trading day.

Available options:
open_interest,
premium,
oi_change,
oi_change_perc,
mark,
strike,
expiry,
ticker,
option_symbol
Example:

"premium"

order_direction
enum<string>
default:desc

Whether to sort descending or ascending. Descending by default.

Available options:
desc,
asc
Example:

"asc"

limit
integer
default:100

How many items to return. Default: 100. Max: 1000. Min: 1.

Required range: 1 <= x <= 1000
Example:

10

Response

data
FLEX Option Contract · object[]
date
string<date>
Example:

"2026-09-29T00:00:00.000Z"

Last modified on October 8, 2026